LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSheetConditionalEntries Interface Referencepublished

provides methods to add and remove conditions of a conditional format. More...

`import"XSheetConditionalEntries.idl";`

Inheritance diagram for XSheetConditionalEntries:

## Public Member Functions
void | addNew ([in] sequence< com::sun::star::beans::PropertyValue > aConditionalEntry)
| adds a conditional entry to the format. More...
void | removeByIndex ([in] long nIndex)
| removes a conditional entry from the format. More...
void | clear ()
| clears all condition entries. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to add and remove conditions of a conditional format.

See also
  com::sun::star::sheet::TableConditionalFormat
  com::sun::star::sheet::TableConditionalEntry

Developers Guide
  Spreadsheet Documents - Conditional Formats

## Member Function Documentation

## ◆ addNew()

void addNew | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aConditionalEntry | ) |

adds a conditional entry to the format.

Supported properties are:

com::sun::star::sheet::ConditionOperator Operator

  contains the operation to perform for this condition.

`string` Formula1

  contains the value or formula for the operation.

`string` Formula2

  contains the second value or formula for the operation (used with ConditionOperator::BETWEEN or ConditionOperator::NOT_BETWEEN operations).

com::sun::star::table::CellAddress SourcePosition

  contains the base address for relative cell references in formulas.

`string` StyleName
  contains the name of the cell style used by this condition.

See also
  com::sun::star::sheet::TableConditionalFormat

## ◆ clear()

void clear | ( |  | ) |

clears all condition entries.

## ◆ removeByIndex()

void removeByIndex | ( | [in] long | nIndex | ) |

removes a conditional entry from the format.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetConditionalEntries.idl